DeviceSources
Get Device Sources
Returns one or more device sources user has access to.
Results can be filtered using the query parameters specified below.
Returns 200 with empty device sources list and a total of 0 when no device sources found.
Note: The type internal is used for CSV based device sources.
Note: The version field reference to the version of the type, each type has a different version schema.
query Parameters
limitThe number of items to return, default is 100 and maximum is 1000.
offsetThe number of items to skip before starting to collect the result set.
nameThe name of the device source.
Get Device Sources › Responses
A list of device sources.
A list of device sources.
totalThe total number of device sources matching the query
Get Device Source By ID
Returns basic information about a specific device source in the system.
Returns 404 if the device source is not found or the user does not have access to the device source.
Note: The type internal is used for CSV based device sources.
Note: The version field reference to the version of the type, each type has a different version schema.
path Parameters
idThe device source id
Get Device Source By ID › Responses
Device source information
idThe unique identifier.
nameThe name of the device source, as define by the user.
typeThe type of the device source, indicating the integration or system.
versionThe version of the device source as defined by the end user in the system.
